﻿Public Class frmInetTest

    Private WithEvents inettest As New InternetTester

    Private Sub btnSync_Click(ByVal sender As Object, _
            ByVal e As System.EventArgs) Handles btnSync.Click

        txtResults.Text = ""
        ' Mit der Adresse für ActiveVB und einer maximalen Wartezeit von 
        '  5 Sekunden prüfen ob eine Internetverbindung verfügbar ist.
        If inettest.Test("www.activevb.de", 5000) Then
            txtResults.Text = "Ein Zugriff auf das Internet ist möglich."
        Else
            txtResults.Text = "Ein Zugriff auf das Internet ist nicht möglich."
        End If
    End Sub

    Private Sub btnAsync_Click(ByVal sender As Object, _
            ByVal e As System.EventArgs) Handles btnAsync.Click

        ' Mit der Adresse für ActiveVB und einer maximalen Wartezeit von 
        '  10 Sekunden asynchron prüfen ob eine Internetverbindung verfügbar ist.
        txtResults.Text = ""
        inettest.TestAsync("www.activevb.de", 10000)
    End Sub

    Private Sub inettest_Checkfinished(ByVal sender As Object, _
            ByVal e As InternetCheckerEventArgs) Handles inettest.Checkfinished

        If e.IsAvailable Then
            txtResults.Text = "Ein Zugriff auf das Internet ist möglich."
        Else
            txtResults.Text = "Ein Zugriff auf das Internet ist nicht möglich."
        End If
    End Sub
End Class
